## magnum-ui 15.0.1

=== debian/changelog ===
magnum-ui (15.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 14:47:30 +0000

magnum-ui (15.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090428).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:28:44 +0100

magnum-ui (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:59:33 +0200

magnum-ui (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:01:31 +0200

magnum-ui (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:02:22 +0200

magnum-ui (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:19:47 +0200

magnum-ui (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 10:50:19 +0100

magnum-ui (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:50:09 +0200

magnum-ui (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:39:30 +0200

magnum-ui (12.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046273).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 17:41:16 +0200

magnum-ui (12.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:32:30 +0200

magnum-ui (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:07:23 +0100

magnum-ui (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 08:46:55 +0100

## magnum-ui 16.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-magnumclient>=4.2.0 # Apache-2.0
python-heatclient>=1.18.0

horizon>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# NOTE: The following are required as horizon.test.settings loads it.

=== debian/changelog ===
magnum-ui (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:09:42 +0200

magnum-ui (16.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:54:49 +0100

magnum-ui (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:32:41 +0100

=== debian/control ===
Source: magnum-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-hacking,
 python3-heatclient,
 python3-magnumclient (>= 4.2.0),
 python3-pytest,
 python3-selenium,
 python3-xvfbwrapper,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/magnum-ui
Homepage: https://github.com/openstack/magnum-ui

Package: python3-magnum-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-heatclient,
 python3-magnumclient (>= 4.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Magnum - dashboard plugin
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the OpenStack dashboard plugin.

## magnum-ui 16.0.0+git2025070714.fa0768c

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-magnumclient>=4.2.0 # Apache-2.0
python-heatclient>=1.18.0

horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
magnum-ui (16.0.0+git2025070714.fa0768c-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:15:27 -0400

magnum-ui (16.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 19:03:16 +0200

## magnum-ui 17.0.0~rc1

=== debian/changelog ===
magnum-ui (17.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:04:33 +0000

magnum-ui (17.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:48:46 +0200

magnum-ui (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed magnumclient required version.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Sep 2025 01:28:17 +0200

## magnum-ui 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-magnumclient>=4.2.0 # Apache-2.0
+python-magnumclient>=4.9.0 # Apache-2.0
 python-heatclient>=1.18.0
 
 horizon>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
magnum-ui (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:13:01 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-coverage,
  python3-hacking,
  python3-heatclient,
- python3-magnumclient (>= 4.2.0),
+ python3-magnumclient (>= 4.9.0),
  python3-pytest,
  python3-selenium,
  python3-xvfbwrapper,
@@ -32,7 +32,7 @@
 Depends:
  openstack-dashboard,
  python3-heatclient,
- python3-magnumclient (>= 4.2.0),
+ python3-magnumclient (>= 4.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Magnum - dashboard plugin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .coverage* *.egg-info

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum_ui/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i \
			python3 -m coverage run \
			$(CURDIR)/manage.py test magnum_ui -v 3 --settings=magnum_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/magnum-ui/tags .*/(\d[brc\d\.]+)\.tar\.gz

## magnum-ui 17.0.0+git20260109.15.ae73f25

=== debian/changelog ===
magnum-ui (17.0.0+git20260109.15.ae73f25-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 17.0.0+git20260109.15.ae73f25
  * d/patches/*: refresh patches
  * New upstream snapshot from ae73f2530541fea448882f9009a1acff6d2c43ab
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 14:24:00 -0800

magnum-ui (17.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:59:06 -0700

magnum-ui (17.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 09:45:35 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=magnum-ui

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/\+git.*//g' -e 's/~/0./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/magnum_ui/enabled/_1* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/magnum_ui/enabled/_2* $(CURDIR)/debian/python3-magnum-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python3 -m coverage run \
			$(CURDIR)/manage.py test magnum_ui --settings=magnum_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/magnum-ui/ magnum_ui-(\d{1,2}\.\d.*)\.tar\.gz
